CHOWN(1)

NAMN
chown — ändra filers ägare och grupp

SYNOPSIS
chown [FLAGGA]... [ÄGARE][:[GRUPP]] FIL...
chown [FLAGGA]... --reference=RFIL FIL...

BESKRIVNING
Denna manualsida dokumenterar GNU-versionen av chown. chown ändrar varje angiven fils användar- och/eller gruppägare. Om endast en ägare (ett användarnamn eller numeriskt användar-ID) anges görs den användaren till ägare av varje angiven fil, och filernas grupp ändras inte. Om ägaren följs av ett kolon och ett gruppnamn (eller numeriskt grupp-ID), utan några blanksteg mellan dem, ändras även filernas gruppägare. Om ett kolon men inget gruppnamn följer efter användarnamnet görs den användaren till filernas ägare och filernas grupp ändras till den användarens inloggningsgrupp. Om kolonet och gruppen anges, men ägaren utelämnas, ändras endast filernas grupp; i detta fall utför chown samma funktion som chgrp. Om endast ett kolon anges, eller om hela operanden är tom, ändras varken användare eller grupp.

FLAGGOR

Ändra ägaren och/eller gruppen på varje FIL till ÄGARE och/eller GRUPP. Med --reference, ändra ägaren och gruppen för varje FIL till dem för RFIL.

-c, --changes
    Som --verbose men rapportera bara när ändringar görs.

-f, --silent, --quiet
    Utelämna de flesta felmeddelanden.

-v, --verbose
    Skriv ut ett meddelande för varje bearbetad fil.

--dereference
    Ändra referensen för varje symbolisk länk (detta är standard) istället för den symboliska länken själv.

-h, --no-dereference
    Ändra symboliska länkar istället för refererade filer (meningsfullt endast på system där det går att ändra ägare på en symbolisk länk).

--from=NUVARANDE_ÄGARE:NUVARANDE_GRUPP
    byt ägarskap på varje fil endast om dess nuvarande ägare och/eller grupp stämmer med de som anges här. Endera kan utelämnas, och då ställs inget krav på tillhörighet för det utelämnade attributet.

--no-preserve-root
    Behandla inte ”/” speciellt (normalfall).

--preserve-root
    Låt bli att arbeta på ”/”.

--reference=RFIL
    använd RFILs ägarskap istället för att ange värden RFIL derefereras alltid om det är en symbolisk länk.

-R, --recursive
    Arbeta på filer och kataloger rekursivt.

Följande flaggor modifierar hur en hierarki traverseras när flaggan -R också anges. Om mer än en anges har enbart den sista någon verkan. ”-P” är standard.

-H  Om ett kommandoradsargument för ett kommando är en symbolisk länk, följ den.

-L  Följ varje symbolisk länk till en katalog som påträffas.

-P  följ inte några symboliska länkar

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Ägaren byts inte om den utelämnas. Grupp byts inte om utelämnad, men byts till inloggningsgrupp om underförstådd av ”:” efter en symbolisk ÄGARE. ÄGARE och GRUPP kan vara numeriska såväl som symboliska.

EXEMPEL

chown root /u
    Ändra ägare av /u till ”root”.

chown root:staff /u
    Samma, men ändra även dess grupp till ”staff”.

chown -hR root /u
    Ändra ägare av /u och underfiler till ”root”.

UPPHOVSMAN
Skrivet av David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
chown(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/chown>
eller tillgängligt lokalt via: info '(coreutils) chown invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.